summaryrefslogtreecommitdiff
path: root/app-misc
diff options
context:
space:
mode:
authorBlackNoxis <steven.darklight@gmail.com>2014-11-21 18:29:35 +0200
committerBlackNoxis <steven.darklight@gmail.com>2014-11-21 18:29:35 +0200
commitb692d8b86e25278fc31644887d80e1b208f4823e (patch)
tree170f5721ad2a2ab3c0d8a13a3cc5453469a837e9 /app-misc
parentbd3328379be00ce903a24e706ffd098868fff712 (diff)
Added kogaion live package
Diffstat (limited to 'app-misc')
-rw-r--r--app-misc/kogaion-live/kogaion-live-1.ebuild32
-rw-r--r--app-misc/kogaion-live/kogaion-live-2-r1.ebuild32
-rw-r--r--app-misc/kogaion-live/kogaion-live-2.ebuild33
3 files changed, 97 insertions, 0 deletions
diff --git a/app-misc/kogaion-live/kogaion-live-1.ebuild b/app-misc/kogaion-live/kogaion-live-1.ebuild
new file mode 100644
index 00000000..3a47607f
--- /dev/null
+++ b/app-misc/kogaion-live/kogaion-live-1.ebuild
@@ -0,0 +1,32 @@
+# Copyright 2004-2013 RogentOS
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+EGIT_REPO_URI="git://github.com/RogentOS/rogentos-live.git"
+EGIT_COMMIT="v${PV}"
+
+inherit eutils systemd git-2
+
+DESCRIPTION="RogentOS live image scripts and tools"
+HOMEPAGE="http://www.sabayon.org"
+
+SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS="amd64 arm x86"
+IUSE=""
+
+DEPEND=""
+RDEPEND="!app-misc/livecd-tools
+ app-admin/eselect-opengl
+ dev-util/dialog
+ sys-apps/gawk
+ sys-apps/pciutils
+ sys-apps/keyboard-configuration-helpers
+ sys-apps/sed"
+
+src_install() {
+ emake DESTDIR="${D}" SYSV_INITDIR="/etc/init.d" \
+ SYSTEMD_UNITDIR="$(systemd_get_unitdir)" \
+ install || die
+}
diff --git a/app-misc/kogaion-live/kogaion-live-2-r1.ebuild b/app-misc/kogaion-live/kogaion-live-2-r1.ebuild
new file mode 100644
index 00000000..3f028a48
--- /dev/null
+++ b/app-misc/kogaion-live/kogaion-live-2-r1.ebuild
@@ -0,0 +1,32 @@
+# Copyright 2004-2013 RogentOS
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+EGIT_REPO_URI="git://github.com/Rogentos/rogentos-live.git"
+#EGIT_COMMIT="v${PV}"
+
+inherit eutils systemd git-2
+
+DESCRIPTION="Rogentos live image scripts and tools"
+HOMEPAGE="http://www.rogentos.ro"
+
+SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS="amd64 arm x86"
+IUSE=""
+
+DEPEND=""
+RDEPEND="!app-misc/livecd-tools
+ app-admin/eselect-opengl
+ dev-util/dialog
+ sys-apps/gawk
+ sys-apps/pciutils
+ sys-apps/keyboard-configuration-helpers
+ sys-apps/sed"
+
+src_install() {
+ emake DESTDIR="${D}" SYSV_INITDIR="/etc/init.d" \
+ SYSTEMD_UNITDIR="$(systemd_get_unitdir)" \
+ install || die
+}
diff --git a/app-misc/kogaion-live/kogaion-live-2.ebuild b/app-misc/kogaion-live/kogaion-live-2.ebuild
new file mode 100644
index 00000000..0a231479
--- /dev/null
+++ b/app-misc/kogaion-live/kogaion-live-2.ebuild
@@ -0,0 +1,33 @@
+# Copyright 2004-2013 RogentOS
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+EGIT_REPO_URI="git://github.com/Rogentos/rogentos-live.git"
+EGIT_COMMIT="v${PV}"
+
+inherit eutils systemd git-2
+
+DESCRIPTION="Rogentos live image scripts and tools"
+HOMEPAGE="http://www.rogentos.ro"
+
+SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS="amd64 arm x86"
+IUSE=""
+
+DEPEND=""
+RDEPEND="!app-misc/livecd-tools
+ app-admin/eselect-opengl
+ dev-util/dialog
+ sys-apps/gawk
+ sys-apps/pciutils
+ sys-apps/keyboard-configuration-helpers
+ sys-apps/sed
+ !app-misc/sabayon-live"
+
+src_install() {
+ emake DESTDIR="${D}" SYSV_INITDIR="/etc/init.d" \
+ SYSTEMD_UNITDIR="$(systemd_get_unitdir)" \
+ install || die
+}